import request from '@/utils/request'

// 查询保养登记列表
export function listUpkeepRegister (query) {
  return request({
    url: '/clw/upkeepRegister/list',
    method: 'get',
    params: query
  })
}

// 查询保养登记详细
export function getUpkeepRegister (registerId) {
  return request({
    url: '/clw/upkeepRegister/' + registerId,
    method: 'get'
  })
}

// 新增保养登记
export function addUpkeepRegister (data) {
  return request({
    url: '/clw/upkeepRegister',
    method: 'post',
    data: data
  })
}

// 修改保养登记
export function updateUpkeepRegister (data) {
  return request({
    url: '/clw/upkeepRegister',
    method: 'put',
    data: data
  })
}

// 删除保养登记
export function delUpkeepRegister (registerId) {
  return request({
    url: '/clw/upkeepRegister/' + registerId,
    method: 'delete'
  })
}
